#include "locmin.h"
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;

#define MAXM 500

long long v[MAXM+2];

pair<int,int> find_locmin_point(int N,int M){
  v[0]=LLONG_MAX;
  v[M+1]=LLONG_MAX;
  for(int i=1;i<min(30,M);i++){
    if(v[i]==0){
      v[i]=value(1,i);
    }
    if(i<M&&v[i+1]==0){
      v[i+1]=value(1,i+1);
    }

    if(v[i]<v[i+1]&&v[i]<v[i-1]){
      return {1,i};
    }
  }
}
